@use '../../../theme/mainTheme.scss' as mainTheme;
.o-header__account{
    cursor: pointer;
    button {
        background: transparent;
        padding: 10px 20px;
        border-radius: 50px;
        border-color: #2ebd59;
        
        @media screen and(max-width: 380px) {
            padding: 10px;
        }

    &:hover,&:focus {
        border-color: #2ebd59 !important;
        background-color: #2ebd59 !important;
        box-shadow: none !important;
    }
    &::after{
        display: none;
    }
    }

    .a-photo{
        @media screen and (max-width: 768px) {
            margin: 0;
        }
    }

    &__user{
        color: mainTheme.$text-colorWhite;
        padding-left: 5px;
        max-width: 115px;
        overflow: hidden;
        pointer-events: none;
        text-overflow: ellipsis;
        display: inline-block;
        white-space: nowrap;
        text-transform: uppercase;
        font-weight: mainTheme.$font-bold;
        vertical-align: middle;

        @media screen and (max-width: 768px) {
            display: none;
        }

    }
    &__logout{
        transform: translate(20px, 60px) !important;
        max-width: 170px !important;
        width: 100%
    }
}